﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace PhoneApp49
{
    public class ViewModel:INotifyPropertyChanged
    {
        string state;
        public string State
        {
            set
            {
                state = value;
                Raise("State");
            }
            get
            {
                return state;
            }

        }
        string data;
        public string Data
        {
            set
            {
                data = value;
                Raise("Data");
            }
            get
            {
                return data;
            }
        }
        ICommand buttomCommand;
        public ICommand Button
        {
            get
            {
                buttomCommand = new DeleCommand((o) =>
                {
                    NetTask net = new NetTask();
                    net.OnStateChanged += new NetTask.Dele(net_OnStateChanged);
                    net.OnStateChanged += new NetTask.Dele(Method);///这行多此一举，是为了加深事件的理解而写
                    net.StartNetTask(o);
                    //State = "state";
                    //Data = "datadatadtaa";
                }
                );
                return buttomCommand;
            }
        }
        //public ICommand Button
        //{
        //    get
        //    {
        //        buttomCommand = new DeleCommand((o) =>
        //        {
        //            State = "state";
        //            Data = "data";
        //        }
        //        );
        //        return buttomCommand;
        //    }
        //}
        void net_OnStateChanged(NetTask sender, EvevtClass args)
        {
            State= args.State + args.Time;
        }
        void Method(NetTask sender, EvevtClass args)
        {
            Data= args.Data;
        }
        public event PropertyChangedEventHandler PropertyChanged;
        void Raise(string name)
        {
            if (PropertyChanged!=null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
